<?php

namespace App\Http\Controllers\category;

use App\Http\Controllers\Controller;
use App\Models\Category;
use App\Models\User;
use Spatie\Permission\Models\Role;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class CategoryController extends Controller
{
	public function __construct()
    {
		$this->middleware('auth');
        $this->middleware('permission:view-revenuecategories', ['only' => ['index']]);
        $this->middleware('permission:create-revenuecategories', ['only' => ['create','store']]);
        $this->middleware('permission:update-revenuecategories', ['only' => ['update','edit']]);
        $this->middleware('permission:delete-revenuecategories', ['only' => ['destroy']]);
    }
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
		return view('categories.index');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        
    }

    /**
     * Display the specified resource.
     */
    public function show()
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit()
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update()
    {
        
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy()
    {
        //
    }
	
	public function activate($organizationId)
    {
        
    }
	
	public function updateorganization()
    {
       
    }
	
}
